<div id="formmodal" uk-modal>
  <div class="uk-modal-dialog uk-modal-body">
    <button class="uk-modal-close-default" type="button" uk-close></button>
    <h4 [style.color]="h1Style ? 'gray' : 'black'">Create New Contact</h4>
    <form [formGroup]='contactForm'>
      <div id="name">
        <span uk-icon="user"></span>
        <input class="uk-input" type="text" formControlName="firstName" class="form-control" id="name"
          placeholder="First Name" />
        <span
          *ngIf="contactForm.controls.firstName.invalid && ( contactForm.controls.firstName.dirty || contactForm.controls.firstName.touched )"
          class=".uk-alert-danger"></span>
        <span *ngIf="contactForm.controls.firstName.errors?.required" class="uk-alert-danger">First Name is
          required</span>
        <input class="uk-input" type="text" formControlName="lastName" id="lastname" placeholder="Last Name" />
      </div>
      <div id="company">
        <span uk-icon="home"></span>
        <input class="uk-input" type="text" formControlName="company" id="company" placeholder="Company Name" />
        <input class="uk-input" type="text" formControlName="jobTitle" id="jobtitle" placeholder="Job Title" />
      </div>
      <div id="email">
        <span uk-icon="mail"></span>
        <input class="uk-input" type="text" formControlName="email" id="email" placeholder="Email" />
      </div>
      <div id="phonenum">
        <span uk-icon="receiver"></span>
        <input class="uk-input" type="text" formControlName="phone" id="phone" placeholder="Phone" />
        <span *ngIf="(phone.dirty || phone.touched) && phone.invalid && phone.errors.required"
          class="uk-alert-danger">Phone Number is
          required</span>
        <span *ngIf="(phone.dirty || phone.touched) && phone.invalid && phone.errors.invalidnumber"
          class="uk-alert-danger">{{ phone.errors.invalidnumber?.error }}</span>
      </div>
      <div id="notes">
        <span uk-icon="pencil"></span>
        <input class="uk-textarea" formControlName="notes" id="notes" placeholder="Notes" />
      </div>
      <div>
        <button class="uk-button-default uk-button-small" id="save" (click)="onSubmit()" type="submit">Save</button>
        <button class="uk-button-default uk-button-small" id="clear" (click)="reset()">Clear</button>
      </div>
    </form>
  </div>
</div>